import { IChangeAttributes, IChangePassword, IConfirmSignUp, IForgotPassword, IForgotPasswordSubmit, IResendConfirmationCode, ISignIn, ISignOut, ISignUp, ISignUpAction } from './interfaces';
export declare function signUpAction({ email, password, firstName, lastName }: ISignUpAction): ISignUp;
export declare function confirmSignUpAction(confirmationCode: string): IConfirmSignUp;
export declare function resendConfirmationCodeAction(email: string): IResendConfirmationCode;
export declare function signInAction(email: string, password: string): ISignIn;
export declare function signOutAction(): ISignOut;
export declare function forgotPasswordAction(email: string): IForgotPassword;
export declare function forgotPasswordSubmitAction(code: string, newPassword: string): IForgotPasswordSubmit;
export declare function changePasswordAction(oldPassword: string, newPassword: string): IChangePassword;
export declare function changeAttributesAction(name: string, email: string): IChangeAttributes;
