"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AUTH_ACTION_TYPES = void 0;
var AUTH_ACTION_TYPES;
(function (AUTH_ACTION_TYPES) {
    AUTH_ACTION_TYPES["UNAUTHENTICATED"] = "UNAUTHENTICATED";
    AUTH_ACTION_TYPES["SIGN_UP"] = "SIGN_UP";
    AUTH_ACTION_TYPES["SIGN_UP_SUBMITTED"] = "SIGN_UP_SUBMITTED";
    AUTH_ACTION_TYPES["SIGN_UP_SUCCESSFUL"] = "SIGN_UP_SUCCESSFUL";
    AUTH_ACTION_TYPES["SIGN_UP_FAILED"] = "SIGN_UP_FAILED";
    AUTH_ACTION_TYPES["CONFIRM_SIGN_UP"] = "CONFIRM_SIGN_UP";
    AUTH_ACTION_TYPES["RESEND_CONFIRMATION_CODE"] = "RESEND_CONFIRMATION_CODE";
    AUTH_ACTION_TYPES["RESEND_CONFIRMATION_CODE_SUBMITTED"] = "RESEND_CONFIRMATION_CODE_SUBMITTED";
    AUTH_ACTION_TYPES["RESEND_CONFIRMATION_CODE_ERROR"] = "RESEND_CONFIRMATION_CODE_ERROR";
    AUTH_ACTION_TYPES["RESEND_CONFIRMATION_CODE_FAILED"] = "RESEND_CONFIRMATION_CODE_FAILED";
    AUTH_ACTION_TYPES["SIGN_IN"] = "SIGN_IN";
    AUTH_ACTION_TYPES["SIGN_IN_SUCCESSFUL"] = "SIGN_IN_SUCCESSFUL";
    AUTH_ACTION_TYPES["SIGN_IN_FAILED"] = "SIGN_IN_FAILED";
    AUTH_ACTION_TYPES["SIGN_OUT"] = "SIGN_OUT";
    AUTH_ACTION_TYPES["SIGN_OUT_SUCCESSFUL"] = "SIGN_OUT_SUCCESSFUL";
    AUTH_ACTION_TYPES["SIGN_OUT_FAILED"] = "SIGN_OUT_FAILED";
    AUTH_ACTION_TYPES["NEW_PASSWORD_REQUIRED"] = "NEW_PASSWORD_REQUIRED";
    AUTH_ACTION_TYPES["NEW_PASSWORD_REQUIRED_FAILED"] = "NEW_PASSWORD_REQUIRED_FAILED";
    AUTH_ACTION_TYPES["FORGOT_PASSWORD"] = "FORGOT_PASSWORD";
    AUTH_ACTION_TYPES["FORGOT_PASSWORD_SENT"] = "FORGOT_PASSWORD_SENT";
    AUTH_ACTION_TYPES["FORGOT_PASSWORD_SUBMIT"] = "FORGOT_PASSWORD_SUBMIT";
    AUTH_ACTION_TYPES["FORGOT_PASSWORD_SUCCESSFUL"] = "FORGOT_PASSWORD_SUCCESSFUL";
    AUTH_ACTION_TYPES["FORGOT_PASSWORD_FAILED"] = "FORGOT_PASSWORD_FAILED";
    AUTH_ACTION_TYPES["CHANGE_ATTRIBUTES"] = "CHANGE_ATTRIBUTES";
    AUTH_ACTION_TYPES["CHANGE_ATTRIBUTES_SUCCESSFUL"] = "CHANGE_ATTRIBUTES_SUCCESSFUL";
    AUTH_ACTION_TYPES["CHANGE_ATTRIBUTES_FAILED"] = "CHANGE_ATTRIBUTES_FAILED";
    AUTH_ACTION_TYPES["CHANGE_PASSWORD"] = "CHANGE_PASSWORD";
    AUTH_ACTION_TYPES["CHANGE_PASSWORD_SUCCESSFUL"] = "CHANGE_PASSWORD_SUCCESSFUL";
    AUTH_ACTION_TYPES["CHANGE_PASSWORD_FAILED"] = "CHANGE_PASSWORD_FAILED";
    AUTH_ACTION_TYPES["USER_NOT_CONFIRMED"] = "USER_NOT_CONFIRMED";
})(AUTH_ACTION_TYPES = exports.AUTH_ACTION_TYPES || (exports.AUTH_ACTION_TYPES = {}));
