export enum AUTH_ACTION_TYPES {
    UNAUTHENTICATED = 'UNAUTHENTICATED',

    SIGN_UP = 'SIGN_UP',
    SIGN_UP_SUBMITTED = 'SIGN_UP_SUBMITTED',
    SIGN_UP_SUCCESSFUL = 'SIGN_UP_SUCCESSFUL',
    SIGN_UP_FAILED = 'SIGN_UP_FAILED',
    CONFIRM_SIGN_UP = 'CONFIRM_SIGN_UP',

    RESEND_CONFIRMATION_CODE = 'RESEND_CONFIRMATION_CODE',
    RESEND_CONFIRMATION_CODE_SUBMITTED = 'RESEND_CONFIRMATION_CODE_SUBMITTED',
    RESEND_CONFIRMATION_CODE_ERROR = 'RESEND_CONFIRMATION_CODE_ERROR',
    RESEND_CONFIRMATION_CODE_FAILED = 'RESEND_CONFIRMATION_CODE_FAILED',

    SIGN_IN = 'SIGN_IN',
    SIGN_IN_SUCCESSFUL = 'SIGN_IN_SUCCESSFUL',
    SIGN_IN_FAILED = 'SIGN_IN_FAILED',
  
    SIGN_OUT = 'SIGN_OUT',
    SIGN_OUT_SUCCESSFUL = 'SIGN_OUT_SUCCESSFUL',
    SIGN_OUT_FAILED = 'SIGN_OUT_FAILED',

    NEW_PASSWORD_REQUIRED = 'NEW_PASSWORD_REQUIRED',
    NEW_PASSWORD_REQUIRED_FAILED = 'NEW_PASSWORD_REQUIRED_FAILED',

    FORGOT_PASSWORD = 'FORGOT_PASSWORD',
    FORGOT_PASSWORD_SENT = 'FORGOT_PASSWORD_SENT',
    FORGOT_PASSWORD_SUBMIT = 'FORGOT_PASSWORD_SUBMIT',
    FORGOT_PASSWORD_SUCCESSFUL = 'FORGOT_PASSWORD_SUCCESSFUL',
    FORGOT_PASSWORD_FAILED = 'FORGOT_PASSWORD_FAILED',

    CHANGE_ATTRIBUTES = 'CHANGE_ATTRIBUTES',
    CHANGE_ATTRIBUTES_SUCCESSFUL = 'CHANGE_ATTRIBUTES_SUCCESSFUL',
    CHANGE_ATTRIBUTES_FAILED = 'CHANGE_ATTRIBUTES_FAILED',

    CHANGE_PASSWORD = 'CHANGE_PASSWORD',
    CHANGE_PASSWORD_SUCCESSFUL = 'CHANGE_PASSWORD_SUCCESSFUL',
    CHANGE_PASSWORD_FAILED = 'CHANGE_PASSWORD_FAILED',

    USER_NOT_CONFIRMED = 'USER_NOT_CONFIRMED',
    
}
  