"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.authEpics = void 0;
const newPasswordRequired_1 = __importDefault(require("./signIn/newPasswordRequired"));
const signIn_1 = __importDefault(require("./signIn/signIn"));
const signOut_1 = __importDefault(require("./signOut"));
const confirmSignUp_1 = __importDefault(require("./signUp/confirmSignUp"));
const resendConfirmationCode_1 = __importDefault(require("./signUp/resendConfirmationCode"));
const signUp_1 = __importDefault(require("./signUp/signUp"));
const signUpSuccessfulSignIn_1 = __importDefault(require("./signUp/signUpSuccessfulSignIn"));
const forgotPassword_1 = __importDefault(require("./password/forgotPassword"));
const forgotPasswordSubmit_1 = __importDefault(require("./password/forgotPasswordSubmit"));
const changePassword_1 = __importDefault(require("./password/changePassword"));
const changeAttributes_1 = __importDefault(require("./changeAttributes"));
const redux_observable_1 = require("redux-observable");
exports.authEpics = redux_observable_1.combineEpics(signUp_1.default, confirmSignUp_1.default, resendConfirmationCode_1.default, signUpSuccessfulSignIn_1.default, signIn_1.default, newPasswordRequired_1.default, signOut_1.default, forgotPassword_1.default, forgotPasswordSubmit_1.default, changePassword_1.default, changeAttributes_1.default);
