"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStatusData = exports.isAuthenticated = exports.useAuthDispatch = exports.AuthProvider = exports.authEpics = exports.authReducer = exports.authActions = void 0;
const types_1 = require("./actions/types");
Object.defineProperty(exports, "authActions", { enumerable: true, get: function () { return types_1.AUTH_ACTION_TYPES; } });
const auth_1 = __importDefault(require("./reducer/auth"));
exports.authReducer = auth_1.default;
const auth_2 = require("./epics/auth");
Object.defineProperty(exports, "authEpics", { enumerable: true, get: function () { return auth_2.authEpics; } });
const Provider_1 = require("./Provider");
Object.defineProperty(exports, "AuthProvider", { enumerable: true, get: function () { return Provider_1.AuthProvider; } });
Object.defineProperty(exports, "useAuthDispatch", { enumerable: true, get: function () { return Provider_1.useAuthDispatch; } });
Object.defineProperty(exports, "isAuthenticated", { enumerable: true, get: function () { return Provider_1.isAuthenticated; } });
Object.defineProperty(exports, "useStatusData", { enumerable: true, get: function () { return Provider_1.useStatusData; } });
